package com.gree.mall.manager.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public enum  CouponUseTypeEnum implements BaseEnum {

    A("A","平台券"),
    B("B","商家券"),;


    @JsonValue
    @EnumValue
    private final String key;
    private final String remark;



}
